Name:          wayland
Version:       1.9.93
Release:       1mamba
Summary:       A protocol for a compositor to talk to its clients as well as a C library implementation of that protocol
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://wayland.freedesktop.org/
Source:        http://wayland.freedesktop.org/releases/wayland-%{version}.tar.xz
License:       MIT, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Wayland is a protocol for a compositor to talk to its clients as well as a C library implementation of that protocol. The compositor can be a standalone display server running on Linux kernel modesetting and evdev input devices, an X application, or a wayland client itself. The clients can be traditional applications, X servers (rootless or fullscreen) or other display servers.
Wayland is intended as a simpler replacement for X, easier to develop and maintain. GNOME and KDE are expected to be ported to it.
Part of the Wayland project is also the Weston reference implementation of a Wayland compositor. Weston can run as an X client or under Linux KMS and ships with a few demo clients. The Weston compositor is a minimal and fast compositor and is suitable for many embedded and mobile use cases.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A protocol for a compositor to talk to its clients as well as a C library implementation of that protocol

%description -n lib%{name}
Wayland is a protocol for a compositor to talk to its clients as well as a C library implementation of that protocol. The compositor can be a standalone display server running on Linux kernel modesetting and evdev input devices, an X application, or a wayland client itself. The clients can be traditional applications, X servers (rootless or fullscreen) or other display servers.
Wayland is intended as a simpler replacement for X, easier to develop and maintain. GNOME and KDE are expected to be ported to it.
Part of the Wayland project is also the Weston reference implementation of a Wayland compositor. Weston can run as an X client or under Linux KMS and ships with a few demo clients. The Weston compositor is a minimal and fast compositor and is suitable for many embedded and mobile use cases.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libwayland-client.so.*
%{_libdir}/libwayland-cursor.so.*
%{_libdir}/libwayland-server.so.*
%{_datadir}/wayland/wayland-scanner.mk
%{_datadir}/wayland/wayland.xml
%{_datadir}/wayland/wayland.dtd
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/wayland-scanner
%{_includedir}/wayland-*.h
%{_libdir}/libwayland-client.a
%{_libdir}/libwayland-client.la
%{_libdir}/libwayland-client.so
%{_libdir}/libwayland-cursor.a
%{_libdir}/libwayland-cursor.la
%{_libdir}/libwayland-cursor.so
%{_libdir}/libwayland-server.a
%{_libdir}/libwayland-server.la
%{_libdir}/libwayland-server.so
%{_libdir}/pkgconfig/wayland-client.pc
%{_libdir}/pkgconfig/wayland-cursor.pc
%{_libdir}/pkgconfig/wayland-scanner.pc
%{_libdir}/pkgconfig/wayland-server.pc
%{_datadir}/aclocal/wayland-scanner.m4
%{_mandir}/man3/wl_*.3*
%doc README TODO

%files apidocs
%defattr(-,root,root)
%dir %{_docdir}/wayland
%dir %{_docdir}/wayland/Wayland
%{_docdir}/wayland/Wayland/*/html/*

%changelog
* Wed Feb 10 2016 Automatic Build System <autodist@mambasoft.it> 1.9.93-1mamba
- automatic update by autodist

* Wed Sep 23 2015 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Sat Jun 13 2015 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Mon Jun 08 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-2mamba
- apidocs: don't require wayland

* Fri Jun 05 2015 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sun Feb 15 2015 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Wed Jan 28 2015 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Fri Sep 19 2014 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Thu Sep 11 2014 Automatic Build System <autodist@mambasoft.it> 1.5.92-1mamba
- automatic update by autodist

* Wed May 28 2014 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist

* Sat Mar 01 2014 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Sat Nov 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-1mamba
- package created using the webbuild interface
